import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal();
colorScale.domain(['apple','lemon'])
				  .range(['#C11D1D','#EAE600']);

const radiusScale = scaleOrdinal();
radiusScale.domain(['apple','lemon'])
				  .range([50,30]);

const xPosition = (d,i) => i * 120 + 60;

export const fruitBowl = (selection, props ) => {
    const { fruits, height } = props;
  
  	const groups = selection.selectAll('g').data(fruits);
    const groupEnter = groups.enter().append('g');
  	groupEnter.merge(groups)
  			.attr('transform', (d,i) => `translate(${i *  120 + 60},${height / 2})`);
  	groups.exit().remove();
      
    groupEnter.append('circle')      			  					
           .merge(groups.select('circle'))  						
      				.attr('fill',d => colorScale(d.type))
  				.transition().duration(1000)	  						
        			.attr('r',d => radiusScale(d.type));
		groupEnter.append('text')      			  					
           .merge(groups.select('text'))  						
      				.text(d => d.type)
  						.attr('y', 100);  				
    
}
